
Infrastructure - Task #5134

Improve index task handling for invalid ORE.

2014-04-24 20:04 - Skye Roseboom

Status: Closed Start date: 2014-04-24

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.2 Story Points:  

Product Version: *   

Description

Currently if the ORE parser cannot read/parse and ORE document - the index task remains in the index job queue indefinitely.  This

causing index task processing to attempt to delete or index the ORE contents into the index.  Since parsing an invalid ORE

document is a static error, the index task can be removed or updated to not process again.

Related issues:

Related to Infrastructure - Story #4461: CCI 1.2.6 Feature Release Closed 2014-03-19 2014-05-10

History

#1 - 2014-04-29 17:21 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2014-04-29 20:17 - Skye Roseboom

- Status changed from In Progress to Testing

Updating calls to ResourceMapFactory methods to handle OREParserException.  Error is not recoverable, does not need to be retried.

Placed on trunk and 1.2 release branch for testing and in prep for CCI 1.2.6 release.

#3 - 2014-05-01 14:59 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

Tested in cn-sandbox env.  Invalid ORE no longer look to be getting hung up in the index work queue.

Ready for release in CCI 1.2.6.
